#ifndef DAMESSAGE_H
#define DAMESSAGE_H
#ifndef EXEC_PORTS_H
#include <exec/ports.h>
#endif

#ifndef __cplusplus

struct DAMessage
{
struct Message dam_Msg;
double dam_RA,dam_Decl; /* Equatorial geocentric coordinates */
double dam_Az,dam_Ho; /* Azimuth and horizon angle in local system */
};

#else

struct DAMessage:Message
{
double dam_RA,dam_Decl;
double dam_Az,dam_Ho;
};

#endif

/*
Warning:
This structure might grow in the future.
Do not rely on its length.
*/

#endif
